navicat 连接sqlserver提示要安装 sql server native client

navicat 连接sqlserver提示要安装 sql server native client


win8系统,装的要sql server 2005,用navicat(版本11.0.17 --64位)连接时提示要安装microsoft sql server native client,但直接安软件要求安装提示版本不符合!

解决过程:

  1. 到微软官网下载2005版本的sqlncli_x64.msi(我的是64位),卸载原来native client,安装新下载的,完成后还是不行

  2. 网上搜索一个解决方法,其实navicat自带sqlncli_x64.msi,就在安装目录下,安装后问题解决!(安装过程中发现这个是sql server 2008版本的,可能第一种方法中改为下载2008版本的也可以)

参考地址:https://community.navicat.com/forum/navicat-product/navicat-for-sql-server/158-can%E2%80%99t-run-navicat-for-sql-server-on-win-7

©️2020 CSDN 皮肤主题: 大白 设计师:CSDN官方博客 返回首页